//#region ../../node_modules/d3-selection/src/selection/html.js
function e() {
	this.innerHTML = "";
}
function t(e) {
	return function() {
		this.innerHTML = e;
	};
}
function n(e) {
	return function() {
		this.innerHTML = e.apply(this, arguments) ?? "";
	};
}
function r(r) {
	return arguments.length ? this.each(r == null ? e : (typeof r == "function" ? n : t)(r)) : this.node().innerHTML;
}
//#endregion
export { r as default };
